import { stemTypeList, scoreTypeList, questionNumberTypeList, switchOption } from './common';

export const activityData = {
  type: 'activity', // 题型
  stem: '', // 题干
  description: '',
  answer: { answer_list: [], score: 1, score_type: scoreTypeList[0].value }, // 答案
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    is_enable_description: switchOption[1].value,
    score: 1, // 分值
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
