import {
  stemTypeList,
  scoreTypeList,
  questionNumberTypeList,
  switchOption,
  optionTypeList,
  fontSizeList,
} from './common';
import { getRandomNumber } from '@/utils/index';
export function getOption() {
  return {
    picture_info: '',
    reference_answer: '', // 参考答案
    analysis: '', // 解析 富文本
    picture_file_id: '',
    mark: getRandomNumber(),
  };
}
// 看图说话数据模板
export const talkPictrueData = {
  type: 'talk_picture', // 题型
  stem: '', // 题干
  description: '', // 描述
  option_list: [], // 选项
  file_id_list: [],
  answer: { score: 1, score_type: scoreTypeList[0].value }, // 答案
  option_number_show_mode: optionTypeList[0].value, // 选项类型
  // 题型属性
  property: {
    stem_type: stemTypeList[1].value, // 题干类型
    question_number: '1', // 题号
    stem_question_number_font_size: fontSizeList[6], // 题干题号
    score: 1, // 分值
    is_enable_description: switchOption[1].value, // 描述
    is_enable_analysis: switchOption[1].value, // 是否开启解析
    is_enable_voice_answer: switchOption[0].value, // 语音作答
    is_enable_reference_answer: switchOption[0].value, // 参考答案
    score_type: scoreTypeList[0].value, // 分值类型
  },
  // 其他属性
  other: {
    question_number_type: questionNumberTypeList[1].value, // 题号类型
  },
};
